Package com.smartgwt.client.widgets.events

# Interface HasDragStartHandlers

All Superinterfaces:
  `HasHandlers`

All Known Implementing Classes:
  `AceEditor`, `ActiveXControl`, `AdaptiveMenu`, `AdvancedHiliteEditor`, `AISortProgressDialog`, `AIWindow`, `BatchUploader`, `BatchUploader`, `BatchUploader`, `BrowserPlugin`, `BuildUIViaAIProgressDialog`, `BuildViaAIProgressDialog`, `Button`, `Calendar`, `CalendarView`, `Canvas`, `ColorPicker`, `ColumnTree`, `CSSEditor`, `CubeGrid`, `DataView`, `DateChooser`, `DateGrid`, `DateRangeDialog`, `Deck`, `DetailViewer`, `Dialog`, `DrawKnob`, `DrawPane`, `DropZone`, `DynamicForm`, `EdgedCanvas`, `EditPane`, `EditSearchWindow`, `EditTree`, `EventCanvas`, `FacetChart`, `FieldPicker`, `FieldPickerWindow`, `FileDropZone`, `FilterBuilder`, `FilterClause`, `FilterViaAIProgressDialog`, `Flashlet`, `FlowLayout`, `Gauge`, `GradientEditor`, `GridRenderer`, `HeaderControl`, `HiliteEditor`, `HiliteRule`, `HiliteViaAIProgressDialog`, `HLayout`, `HStack`, `HTMLFlow`, `HTMLPane`, `IButton`, `IconButton`, `IconMenuButton`, `IMenuButton`, `Img`, `ImgButton`, `ImgSectionHeader`, `ImgSplitbar`, `ImgTab`, `IndicatorCanvas`, `Label`, `Layout`, `LayoutSpacer`, `ListGrid`, `ListPalette`, `ListPropertiesDialog`, `ListPropertiesPane`, `Menu`, `MenuBar`, `MenuButton`, `MenuPalette`, `MiniNavControl`, `MultiFilePicker`, `MultiGroupDialog`, `MultiGroupPanel`, `MultiSortDialog`, `MultiSortPanel`, `NavigationBar`, `NavigationButton`, `NavPanel`, `PickListMenu`, `PortalLayout`, `Portlet`, `PrintCanvas`, `PrintWindow`, `Progressbar`, `PropertySheet`, `RangeSlider`, `RecordEditor`, `Reify`, `RibbonBar`, `RibbonButton`, `RibbonGroup`, `RibbonMenuButton`, `RichTextEditor`, `RowRangeDisplay`, `SavedSearchEditor`, `ScreenLoader`, `Scrollbar`, `SearchForm`, `SectionHeader`, `SectionStack`, `SelectionTreeMenu`, `SeleneseRecorder`, `Shuttle`, `SimpleTile`, `Slider`, `Snapbar`, `Splitbar`, `SplitPane`, `StatefulCanvas`, `StretchImg`, `StretchImgButton`, `SVG`, `TabBar`, `TableView`, `TabSet`, `TileGrid`, `TileLayout`, `TilePalette`, `Timeline`, `ToggleSwitch`, `Toolbar`, `ToolStrip`, `ToolStripButton`, `ToolStripGroup`, `ToolStripMenuButton`, `ToolStripResizer`, `ToolStripSeparator`, `ToolStripSpacer`, `TourWindow`, `TransferImgButton`, `TreeGrid`, `TreeMenuButton`, `TreePalette`, `ViewLoader`, `VLayout`, `VStack`, `WidgetCanvas`, `Window`, `ZoneCanvas`

public interface HasDragStartHandlers extends HasHandlers

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HandlerRegistration`
  `addDragStartHandler(DragStartHandler handler)`
  Executed when dragging first starts.

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Method Details

  - ### addDragStartHandler

    HandlerRegistration addDragStartHandler(DragStartHandler handler)
    Executed when dragging first starts. Your widget can use this opportunity to set things up for the drag, such as setting the drag tracker. Returning false from this event handler will cancel the drag action entirely.

    A drag action is considered to be begin when the mouse has moved `dragStartDistance` with the left mouse down.

    Parameters:
      `handler` - the dragStart handler
    Returns:
      `HandlerRegistration` used to remove this handler